> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Tavily 映射

> 使用 Tavily Map 生成全面的站点地图。



## OpenAPI

````yaml openapi/zh/tavily.json POST /tavily/map
openapi: 3.0.0
info:
  title: Tavily API
  version: 1.0.0
  description: Tavily 端点的统一 API 文档，包括 Search、Extract、Crawl 和 Map。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - bearerAuth: []
paths:
  /tavily/map:
    post:
      tags:
        - https://docs.tavily.com/documentation/api-reference/endpoint/map
      summary: 使用 Tavily Map 生成全面的站点地图。
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                url:
                  type: string
                  description: 开始映射的根 URL。
                  example: docs.tavily.com
                instructions:
                  type: string
                  description: 用于爬虫的自然语言指令。
                max_depth:
                  type: integer
                  default: 1
                  description: 映射的最大深度。
                  minimum: 1
                  maximum: 5
                max_breadth:
                  type: integer
                  default: 20
                  description: 树中每一层可跟踪的最大链接数量。
                  minimum: 1
                  maximum: 500
                limit:
                  type: integer
                  default: 50
                  description: 爬虫停止前将处理的链接总数。
                  minimum: 1
                select_paths:
                  type: array
                  items:
                    type: string
                  description: 用于仅选择具有特定路径模式的 URL 的正则表达式模式。
                select_domains:
                  type: array
                  items:
                    type: string
                  description: 用于选择仅抓取特定域名或子域名的正则表达式模式。
                exclude_paths:
                  type: array
                  items:
                    type: string
                  description: 用于排除具有特定路径模式的 URL 的正则表达式模式。
                exclude_domains:
                  type: array
                  items:
                    type: string
                  description: 用于从映射中排除特定域名或子域名的正则表达式模式。
                allow_external:
                  type: boolean
                  default: true
                  description: 在最终结果列表中包含外部域名链接。
                timeout:
                  type: number
                  format: float
                  default: 150
                  description: 等待 map 操作完成的最长时间（秒）。
                  minimum: 10
                  maximum: 150
                include_usage:
                  type: boolean
                  default: false
                  description: 在响应中包含信用额度用量信息。
              required:
                - url
      responses:
        '200':
          description: 已成功返回地图结果。
          content:
            application/json:
              schema:
                type: object
                properties:
                  base_url:
                    type: string
                    description: 已映射的基础 URL。
                  results:
                    type: array
                    items:
                      type: string
                      description: 映射期间发现的 URL。
                  response_time:
                    type: number
                    format: float
                    description: 完成请求所用的时间（秒）。
                  usage:
                    type: object
                    properties:
                      credits:
                        type: integer
                        description: 请求的额度使用详情。
                  request_id:
                    type: string
                    description: 唯一请求标识符。
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````